//
// member function definitions 
// provided by the library vendor 
//
// customers do not have access
// to the source code for this file
// 
#include <new.h>
#include <string.h>
#include "impl.h"

employee::employee(char* n, int hr) : hourRate(hr) {
  Name = new char[strlen(n)+1];
  strcpy(Name, n);
}

employee::~employee() {
  delete[] Name;
}

int manager::salary() {
  return (hourRate*40+Experience*10); 
} 

int programmer::salary() {
  return (hourRate*40);
}
